﻿using System.Diagnostics;

using DevExpress.Utils;
using DevExpress.XtraEditors;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.labelControl.Text = "<size=14>Size = 14<br>"                         +
                                     "<b>Bold</b> <i>Italic</i> <u>Underline</u><br>" +
                                     "<size=11>Size = 11<br>"                         +
                                     "<color=255, 0, 0>Sample Text</color></size>"    +
                                     "<href=www.devexpress.com>Hyperlink</href>";

            this.labelControl.AllowHtmlString                   = true;
            this.labelControl.Appearance.TextOptions.WordWrap   = WordWrap.Wrap;
            this.labelControl.Appearance.Options.UseTextOptions = true;
            this.labelControl.AutoSizeMode                      = LabelAutoSizeMode.Vertical;

            this.labelControl.HyperlinkClick += labelControl_HyperlinkClick;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 레이블 컨트롤 하이퍼링크 클릭시 처리하기 - labelControl_HyperlinkClick(sender, e)

        /// <summary>
        /// 레이블 컨트롤 하이퍼링크 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void labelControl_HyperlinkClick(object sender, HyperlinkClickEventArgs e)
        {
            Process.Start(e.Link);
        }

        #endregion
    }
}